Crea sito

Installare TeamViewer su Ubuntu 16.10 (risolvere l’errore libpng12-0)

Nei repository di Ubuntu 16.10, la prossima release semestrale di casa Canonical, non c’è più il pacchetto libpng12-0 il quale è stato sostituito da una versione più aggiornata ovvero libpng16-10.
La mancanza di tale pacchetto però è causa di problemi con alcuni software di terze parti che non sono ancora stati aggiornati e dunque ne impedisce l’installazione.
L’errore la dipendenza non può essere soddisfatta: libpng12-0
Uno dei programmi che ne risente è TeamViewer nella sua ultima versione stabile per Linux ovvero la 11.0.57095.
Come risolvere il problema? Semplice, installando la versione presente nei repository di Ubuntu 16.04 LTS.
Andiamo all’indirizzo http://packages.ubuntu.com/xenial/i386/libpng12-0/download e scarichiamo il pacchetto libpng12-0_1.2.54-1ubuntu1_i386.deb da uno dei mirror presenti nella pagina.
Una volta fatto procedete all’installazione di teamviewer_11.0.57095_i386.deb e tutto andrà per il verso giusto.
Ora tutto funziona correttamente


Source: Installare TeamViewer su Ubuntu 16.10 (risolvere l’errore libpng12-0)

Ti potrebbe interessare anche...